Subject: RE: [Sip] I-D ACTION:draft-henrikson-sip-original-dialog-id-00.tx t

From: "Henrikson, Eric H (Eric)" <[email-masked]>
Date: Wed, 1 May 2002 11:34:55 -0500

Thank you for your comments AC.  I will make the changes as you suggested.

Eric

-----Original Message-----
From: AC Mahendran [mailto:[email-masked]]
Sent: Wednesday, May 01, 2002 8:30 AM
To: [email-masked]
Cc: Henrikson, Eric H (Eric)
Subject: Re: [Sip] I-D
ACTION:draft-henrikson-sip-original-dialog-id-00.txt

Eric:

Comments...

1) In Section 5.4, Order of "Via" header is incorrect in transactions F2, 
F3, F5. Also, the branch values in these headers are not following the 
convention of 2543-bis.

2) In section 5.4 (in F2 & F3 transactions), the tag values in 
"P-Original-Dialog-ID" header don't match the definition of the header i.e 
the tags should be "od-from-tag",  "od-to-tag", "od-call-id" instead of
"tag".

3) In section 5.4, the text says the following:
"This example shows the message sequence for an INVITE transaction 
originating from UA1 eventually arriving at UA2. P2 is an outbound proxy 
for UA1 which routes the request to an Application Server P2. "

In the second line, the first occurrence of P2 should be replaced with P1.

thanks,
AC

At 07:25 AM 5/1/2002 -0400, you wrote:
>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>
>
>         Title           : Private SIP Extension for Original Dialog 
> Identifier
>         Author(s)       : E. Henrikson
>         Filename        : draft-henrikson-sip-original-dialog-id-00.txt
>         Pages           : 7
>         Date            : 30-Apr-02
>
>This document proposes a private SIP extension header used in
>conjunction with INVITE requests to provide a mechanism by which a
>stateful proxy may associate an INVITE request processed earlier
>with the INVITE request that is being currently processed. The
>association is needed by the Serving Call Session Control Function
>(S-CSCF) from the Third Generation Partnership Project (3GPP)
>architecture to ensure proper routing of an INVITE request with
>3GPP Application Servers (AS). A S-CSCF may route an INVITE request
>to multiple AS, as indicated by a subscriber profile, and each AS
>may be a B2BUA. The S-CSCF needs to keep track of each AS contacted
>and know that an incoming INVITE request is related to a previous
>outgoing INVITE request such that each AS may receive the INVITE
>request before it is sent on towards the intended destination. When
>a B2BUA AS is  involved, there is currently not a way to associate
>the incoming INVITE request with the previously sent INVITE request
>at the S-CSCF. The P-Original-Dialog-ID header provides a way to
>accomplish this association. The same mechanism may be applied to
>any SIP method that is used to initiate a dialog.
>
>A URL for this Internet-Draft is:
>http://www.ietf.org/internet-drafts/draft-henrikson-sip-original-dialog-id-
00.txt
>
>To remove yourself from the IETF Announcement list, send a message to
>ietf-announce-request with the word unsubscribe in the body of the message.
>
>Internet-Drafts are also available by anonymous FTP. Login with the
username
>"anonymous" and a password of your e-mail address. After logging in,
>type "cd internet-drafts" and then
>         "get draft-henrikson-sip-original-dialog-id-00.txt".
>
>A list of Internet-Drafts directories can be found in
>http://www.ietf.org/shadow.html
>or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
>
>Internet-Drafts can also be obtained by e-mail.
>
>Send a message to:
>         [email-masked].
>In the body type:
>         "FILE 
> /internet-drafts/draft-henrikson-sip-original-dialog-id-00.txt".
>
>NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail
readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
>
>
>Below is the data which will enable a MIME compliant mail reader
>implementation to automatically retrieve the ASCII version of the
>Internet-Draft.
>Content-Type: text/plain
>Content-ID:     <[email-masked]>
>
>ENCODING mime
>FILE /internet-drafts/draft-henrikson-sip-original-dialog-id-00.txt
>
><ftp://ftp.ietf.org/internet-drafts/draft-henrikson-sip-original-dialog-id-
00.txt>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip